org.keycloak.saml.processing.core.parsers.saml.xmldsig

## Class AbstractStaxXmlDSigParser<T>

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractStaxParser<T,XmlDSigQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.xmldsig.AbstractStaxXmlDSigParser<T>

- All Implemented Interfaces:
    StaxParser
  Direct Known Subclasses:
    DsaKeyValueParser, KeyInfoParser, RsaKeyValueParser, X509DataParser

      public abstract class AbstractStaxXmlDSigParser<T>
      extends AbstractStaxParser<T,XmlDSigQNames>

  Author:
    hmlnarik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static QNameEnumLookup<XmlDSigQNames>` | `LOOKUP`

    - ### Fields inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `expectedStartElement, LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStaxXmlDSigParser(XmlDSigQNames expectedStartElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected XmlDSigQNames` | `getElementFromName(QName name)`

    - ### Methods inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `instantiateElement, isUnknownElement, parse, processSubElement, validateStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOOKUP

          protected static final QNameEnumLookup<XmlDSigQNames> LOOKUP

  - ### Constructor Detail

    - #### AbstractStaxXmlDSigParser

          public AbstractStaxXmlDSigParser(XmlDSigQNames expectedStartElement)

  - ### Method Detail

    - #### getElementFromName

          protected XmlDSigQNames getElementFromName(QName name)

      Specified by:
        `getElementFromName` in class `AbstractStaxParser<T,XmlDSigQNames>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.